# Command: not

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    not - logical not operator.

Synopsis:

    bool not -> bool
      int  not -> int

Examples:

    1 2 eq not -> true
      0 not -> -1

Description:

    For booleans, not turns true info false and vice versa.
      For integer arguments, not performs a bit-wise not where
      1 is replaced by 0 and vice versa.

SeeAlso:

- and
- or
- xor

Source:

    /opt/conda/conda-bld/nest_1531570948828/work/sli/slimath.cc

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative